qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ted Ross (JIRA)" <qpid-...@incubator.apache.org>
Subject [jira] Resolved: (QPID-2245) QMF protocol changes will make 0.6 incompatible with 0.5
Date Fri, 11 Dec 2009 13:54:18 GMT

     [ https://issues.apache.org/jira/browse/QPID-2245?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ted Ross resolved QPID-2245.
----------------------------

    Resolution: Fixed

> QMF protocol changes will make 0.6 incompatible with 0.5
> --------------------------------------------------------
>
>                 Key: QPID-2245
>                 URL: https://issues.apache.org/jira/browse/QPID-2245
>             Project: Qpid
>          Issue Type: Bug
>          Components: Qpid Managment Framework
>    Affects Versions: 0.6
>            Reporter: Ted Ross
>            Assignee: Ted Ross
>            Priority: Blocker
>             Fix For: 0.6
>
>         Attachments: QPID-2245-Cpp.patch, QPID-2245-Dotnet.patch, QPID-2245-JavaAgent.patch,
QPID-2245-JavaConsole.patch, QPID-2245-Python.patch, QPID-2245-QMan.patch, QPID-2245-Ruby.patch
>
>
> In the course of the development of QMF since 0.5, there have been a number of protocol
changes made (mainly for the Java console and agent APIs).  These changes cause incompatibility
with the 0.5 release.
> The protocol changes shall be backed out to maintain compatibility between 0.5 and 0.6.
 We shall then address forward and backward compatibility post-0.6 in an orderly way.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:dev-subscribe@qpid.apache.org


Mime
View raw message